List RBAC resources for given account
List RBAC resources for given account.
curl -X GET "https://api.prd.rad.security/accounts/example_string/resources/rbac?cluster_id=example_string&kinds=example_string&namespace=John%20Doe&q=example_string&sort=example_string&page=25&page_size=25" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/resources/rbac?cluster_id=example_string&kinds=example_string&namespace=John%20Doe&q=example_string&sort=example_string&page=25&page_size=25"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/resources/rbac?cluster_id=example_string&kinds=example_string&namespace=John%20Doe&q=example_string&sort=example_string&page=25&page_size=25", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/resources/rbac?cluster_id=example_string&kinds=example_string&namespace=John%20Doe&q=example_string&sort=example_string&page=25&page_size=25", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/resources/rbac?cluster_id=example_string&kinds=example_string&namespace=John%20Doe&q=example_string&sort=example_string&page=25&page_size=25')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
{
"entries": [
{
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"uid": "example_string",
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"id": "example_string",
"updated_at": "example_string"
}
],
"page": 25,
"page_count": 25,
"page_size": 25,
"total_count": 10
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
GET
/accounts/{account_id}/resources/rbacGET
Base URLstring
Target server for requests. Edit to use your own host.
path
account_idstring
RequiredAccount id
query
cluster_idstring
Cluster id
query
kindsstring
List of RBAC kinds separated by comma. If not provided, all kinds will be returned
query
namespacestring
Namespace
query
qstring
Search the resource name
query
sortstring
Sort by field. Example: sort=title:asc
query
pageinteger
Page number starting from 1
query
page_sizeinteger
Page size. Default: 50
Request Preview
Response
Response will appear here after sending the request
Path Parameters
account_idstring
RequiredAccount id
Query Parameters
cluster_idstring
Cluster id
kindsstring
List of RBAC kinds separated by comma. If not provided, all kinds will be returned
namespacestring
Namespace
qstring
Search the resource name
sortstring
Sort by field. Example: sort=title:asc
pageinteger
Page number starting from 1
page_sizeinteger
Page size. Default: 50
Responses
entriesarray
pageinteger
page_countinteger
page_sizeinteger
total_countinteger
Was this page helpful?